## qtcreator 4.0.2

=== debian/changelog ===
qtcreator (4.0.2-1ubuntu2~1) yakkety; urgency=medium

  * Rebuild for Qt 5.6.1.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 25 Jul 2016 12:18:06 +0000

qtcreator (4.0.2-1ubuntu1~9) yakkety; urgency=medium

  * New upstream release.
  * Conflict with qtcreator-plugin-ubuntu (and -go) and offer a transitional 
    package. Ubuntu SDK is now distributed separately, see 
    http://developer.ubuntu.com/ for more information. (LP: #1604744)
  * debian/ubuntu-sdk-migration.note: Offer a graphical note when upgrading 
    from old qtcreator-plugin-ubuntu.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 21 Jul 2016 05:49:36 +0000

qtcreator (4.0.2-1) unstable; urgency=medium

  * New upstream release.
    + Fix bug debugging an application that has pdb files larger than 1 GB

 -- Adam Majer <adamm@zombino.com>  Sun, 03 Jul 2016 23:50:51 +0200
