## qtcreator 4.1.0

=== debian/changelog ===
qtcreator (4.1.0-3ubuntu1) zesty; urgency=medium

  * debian/patches/qbs-update.diff: Update from git for new qbs version.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 11 Apr 2017 08:31:35 -0600

qtcreator (4.1.0-3ubuntu1~2) zesty; urgency=medium

  * No change rebuild

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 04 Jan 2017 09:04:31 +0200

qtcreator (4.1.0-3ubuntu1~1) zesty; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Make qtcreator depend upon qml-module-qtqml-models2 (Closes: #843395).
    Thanks Oswald Buddenhagen for the bug report!

  [ Timo Jyrinki ]
  * New upstream version. Merge with Debian.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 15 Nov 2016 08:50:03 +0000

qtcreator (4.1.0-3) unstable; urgency=medium

  * Do not require clang support on archs that do not have it.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 23 Oct 2016 10:15:19 -0300

qtcreator (4.1.0-2) unstable; urgency=medium

  * Do not build clang support on armel (Closes: #839791). Thanks Emilio for
    the bug!
  * Switch to libclang-dev, which currently depends on libclang-3.8-dev.
    Listing both versions of libclang-3.*-dev is futile as buildds will
    only consider the first one.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 19 Oct 2016 11:23:57 -0300

qtcreator (4.1.0-1) unstable; urgency=medium

  [ Adam Majer ]
  * New upstream version
  * Re-enable QBS plugin

 -- Adam Majer <adamm@zombino.com>  Thu, 08 Sep 2016 00:11:22 +0200

qtcreator (4.1.0~rc1-1) experimental; urgency=medium

  [ Adam Majer ]
  * New upstream version
    + added the Flat Dark and Flat Light themes
      (Environment > Interface > Theme settings)
    + editted files are now loaded on visibility instead of all on
      session resumption
    + improved overall performance of Qt Quick designer
    + improved performance of QML Profiler
    + option to turn off automatic running of CMake per configured tool
    + experimental support for the Nim programming language (in plugins)
    + c++: added separate highlighting for function declarations and usages
    + c++: added highlighting option for global variables
    + added support for TCP/IP forward tunneling with SSH
  * fix_build_on_ppc.patch removed, upstreamed
  * Refreshed patches
  * Bump Clang dependency to 3.8
  * Temporarily disable QBS

 -- Adam Majer <adamm@zombino.com>  Mon, 08 Aug 2016 00:47:25 +0200

qtcreator (4.0.3-1) unstable; urgency=medium

  [ Adam Majer ]
  * New upstream version
    + cmake: resolve symlinks when comparing source directories
    + Clang: Fix dot-arrow-correction for zero results
    + Clang: Fix dot-arrow-correction for not-yet-parsed unsaved content
    + ProjectExplorer: Fix comparison with default-constructed Runnables
    + Depend on qbs 1.5.2
  * Update Qt build requirements to 5.5.x

 -- Adam Majer <adamm@zombino.com>  Sat, 06 Aug 2016 01:56:51 +0200
