=== debian/control ===
--- 
+++ 
@@ -8,28 +8,28 @@
            Jeremy Lainé <jeremy.laine@m4x.org>,
 Build-Depends: debhelper (>= 9),
                libbotan1.10-dev,
-               libclang-3.6-dev,
+               libclang-dev [!armel !alpha !hppa !hurd-i386 !kfreebsd-any !m68k !powerpcspe !sh4 !sparc64 !x32],
                libicu-dev,
                libjs-jquery,
-               libqt5opengl5-dev (>= 5.4.1~),
-               libqt5sql5-sqlite (>= 5.4.1~),
-               libqt5webkit5-dev (>= 5.4.1~),
-               libqt5x11extras5-dev (>= 5.4.1~),
+               libqt5opengl5-dev (>= 5.5.0~),
+               libqt5sql5-sqlite (>= 5.5.0~),
+               libqt5webkit5-dev (>= 5.5.0~),
+               libqt5x11extras5-dev (>= 5.5.0~),
                libx11-dev,
                libxext-dev,
                pkg-config,
-               qbs-dev (>= 1.5.0+dfsg~),
-               qml-module-qtquick2 (>= 5.4.1~),
-               qtbase5-dev (>= 5.4.1+dfsg~),
-               qtbase5-private-dev (>= 5.4.1+dfsg~),
-               qtdeclarative5-dev (>= 5.4.1~),
-               qtdeclarative5-private-dev (>= 5.4.1~),
-               qtscript5-dev (>= 5.4.1~),
-               qtscript5-private-dev (>= 5.4.1~),
-               qttools5-dev (>= 5.4.1~),
-               qttools5-dev-tools (>= 5.4.1~),
-               qttools5-private-dev (>= 5.4.1~),
-               qtxmlpatterns5-dev-tools (>= 5.4.1~),
+               qbs-dev (>= 1.6.0~),
+               qml-module-qtquick2 (>= 5.5.0~),
+               qtbase5-dev (>= 5.5.0+dfsg~),
+               qtbase5-private-dev (>= 5.5.0+dfsg~),
+               qtdeclarative5-dev (>= 5.5.0~),
+               qtdeclarative5-private-dev (>= 5.5.0~),
+               qtscript5-dev (>= 5.5.0~),
+               qtscript5-private-dev (>= 5.5.0~),
+               qttools5-dev (>= 5.5.0~),
+               qttools5-dev-tools (>= 5.5.0~),
+               qttools5-private-dev (>= 5.5.0~),
+               qtxmlpatterns5-dev-tools (>= 5.5.0~),
                xauth,
                xvfb,
 Standards-Version: 3.9.8
@@ -41,8 +41,9 @@
 Package: qtcreator
 Architecture: any
 Depends: libqt5sql5-sqlite,
-         qml-module-qtquick-controls (>= 5.2.1-4~),
-         qml-module-qtquick2 (>= 5.2.1-5~),
+         qml-module-qtqml-models2,
+         qml-module-qtquick-controls (>= 5.5.0~),
+         qml-module-qtquick2 (>= 5.5.0~),
          qtchooser,
          qtcreator-data (= ${source:Version}),
          ${misc:Depends},
@@ -74,10 +75,10 @@
             qtxmlpatterns5-dev-tools,
             xterm | x-terminal-emulator,
 Suggests: cmake, git, kdelibs5-data, subversion,
-Description: lightweight integrated development environment (IDE) for Qt
- Qt Creator is a new, lightweight, cross-platform integrated development
- environment (IDE) designed to make development with the Qt application
- framework even faster and easier.
+Description: integrated development environment (IDE) for Qt
+ Qt Creator is a cross-platform integrated development environment (IDE)
+ designed to make development with the Qt application framework faster
+ and easier.
  .
  It includes:
   * An advanced C++ code editor
@@ -87,6 +88,7 @@
   * Visual debugger
   * Rapid code navigation tools
   * Supports multiple platforms
+  * Qt Quick Designer
 
 Package: qtcreator-data
 Architecture: all
@@ -94,23 +96,7 @@
 Breaks: qtcreator (<< 3.2.0-1~),
 Replaces: qtcreator (<< 3.2.0-1~)
 Description: application data for Qt Creator IDE
- Qt Creator is a new, lightweight, cross-platform integrated development
- environment (IDE) designed to make development with the Qt application
- framework even faster and easier.
- .
- This package contains the architecture-independent data for Qt Creator IDE.
-
-Package: qtcreator-dbg
-Priority: extra
-Architecture: any
-Section: debug
-Depends: qtcreator (= ${binary:Version}), ${misc:Depends}
-Description: debugging symbols for Qt Creator IDE
- Qt Creator is a new, lightweight, cross-platform integrated development
- environment (IDE) designed to make development with the Qt application
- framework even faster and easier.
- .
- This package contains the debugging symbols for Qt Creator IDE.
+ This package contains architecture-independent data for Qt Creator IDE.
 
 Package: qtcreator-doc
 Architecture: all
@@ -118,11 +104,7 @@
 Depends: ${misc:Depends}
 Suggests: qt5-doc
 Description: documentation for Qt Creator IDE
- Qt Creator is a new, lightweight, cross-platform integrated development
- environment (IDE) designed to make development with the Qt application
- framework even faster and easier.
- .
- This package contains the documentation for Qt Creator IDE.
+ This package contains documentation for Qt Creator IDE.
 
 Package: qtcreator-dev
 Architecture: all
