=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 export QMAKE_LFLAGS_RELEASE := $(LDFLAGS)
 export QMAKE_LFLAGS_DEBUG := $(LDFLAGS)
 export QT_SELECT := qt5
-export LLVM_INSTALL_DIR := $(shell if [ -d /usr/lib/llvm-3.7 ]; then echo /usr/lib/llvm-3.7; else echo /usr/lib/llvm-3.6; fi)
+export LLVM_INSTALL_DIR := $(shell if [ -d /usr/lib/llvm-3.9 ]; then echo /usr/lib/llvm-3.9; else echo /usr/lib/llvm-3.8; fi)
 export QT_QPA_PLATFORM := minimal
 
 # Upstream changelog
@@ -25,7 +25,7 @@
 testskip_architectures := powerpc
 
 %:
-	dh $@ --parallel --dbg-package=qtcreator-dbg --builddirectory=builddir
+	dh $@ --parallel --builddirectory=builddir
 
 override_dh_auto_configure:
 	mkdir -p builddir
