=== debian/watch ===
version=3
opts="repack,compression=xz"
http://download.qt.io/official_releases/qtcreator/([\d\.]*)/([\d\.]*)/qt-creator-opensource-src-([^-]*)\.tar\.gz
