## qtcreator 4.2.0

=== debian/changelog ===
qtcreator (4.2.0-1) unstable; urgency=medium

  * New upstream version
    + Added experimental editor for Qt SCXML
    + Added pattern substitution for variable expansion
    + Added option to hide the central widget in Debug mode
    + Fixed highlighting of Markdown files
    + Added option to skip big C++ files when indexing
    + Improved responsiveness of completion and highlighting
      when using clang code model
    + Made display of maps more compact under debugger
    + Added pretty printing of `QRegExp` captures, `QStaticStringData`,
      `QStandardItem`, and `std::pair` udner debugger
  * Bump min build dependencies:
    + Qt 5.6.0
    + QBS 1.7.0
    + clang/llvm 3.9.0, only build clangplugin on amd64
  * debian/watch: update downloaded files to XZ compressed
  * debian/control: add missing build dependency on llvm

 -- Adam Majer <adamm@zombino.com>  Thu, 05 Jan 2017 00:19:09 +0100

qtcreator (4.1.0-4) unstable; urgency=medium

  * Make qtcreator depend upon qml-module-qtqml-models2 (Closes: #843395).
    Thanks Oswald Buddenhagen for the bug report!

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 18 Nov 2016 16:10:07 -0300
