=== debian/rules ===
--- 
+++ 
@@ -15,14 +15,10 @@
 export QMAKE_LFLAGS_RELEASE := $(LDFLAGS)
 export QMAKE_LFLAGS_DEBUG := $(LDFLAGS)
 export QT_SELECT := qt5
-export LLVM_INSTALL_DIR := $(shell if [ -d /usr/lib/llvm-3.9 ]; then echo /usr/lib/llvm-3.9; else echo /usr/lib/llvm-3.8; fi)
-export QT_QPA_PLATFORM := minimal
+export LLVM_INSTALL_DIR := $(shell if [ -d /usr/lib/llvm-3.9 ]; then echo /usr/lib/llvm-3.9; fi)
 
 # Upstream changelog
 upstream_changes := $(wildcard dist/changes-*)
-
-# Skip tests on the archs they are known to be flaky  with current configuration
-testskip_architectures := powerpc
 
 %:
 	dh $@ --parallel --builddirectory=builddir
@@ -38,7 +34,6 @@
 		QMAKE_LFLAGS_DEBUG="$(QMAKE_LFLAGS_DEBUG)" \
 		QMAKE_STRIP=: \
 		QBS_INSTALL_DIR=/usr \
-		BUILD_TESTS=true \
 		PREFIX=/usr/ \
 		LLVM_INSTALL_DIR="$(LLVM_INSTALL_DIR)" \
 		CONFIG+=disable_external_rpath \
@@ -53,7 +48,7 @@
 endif
 
 override_dh_auto_install:
-ifneq (,$(filter qtcreator-doc,qtcreator-dev, $(shell dh_listpackages)))
+ifneq (,$(filter qtcreator-doc, $(shell dh_listpackages)))
 	dh_auto_build -- qch_docs
 endif
 	dh_auto_install --destdir=debian/tmp/usr
@@ -61,19 +56,12 @@
 
 	# Do not install the file, we better symlink it.
 	rm -vf debian/tmp/usr/share/qtcreator/debugger/LICENSE.LGPL
- 
+
 	# Not needed
 	rm debian/tmp/usr/bin/qtcreator.sh
 
-	mkdir -p debian/tmp/usr/src/qtcreator/
-	find | egrep -v '^\.\/doc|^\.\/share|^\.\/\.pc|^\.\/debian|^\.\/tests|^\.\/share' | grep "\.pri\$$\|\.h\$$\|\.xsl\$$" | xargs -I{} cp --parents -r "{}" debian/tmp/usr/src/qtcreator
-	cd debian/tmp/usr/src/qtcreator; cp -r builddir/* .; rm -R builddir
-	rm -rfv debian/tmp/usr/usr/tests/
-
 override_dh_install:
 	dh_install --fail-missing
-	mkdir -p debian/qtcreator-plugin-ubuntu/usr/share/qtcreator-plugin-ubuntu
-	cp -a debian/ubuntu-sdk-migration.note debian/qtcreator-plugin-ubuntu/usr/share/qtcreator-plugin-ubuntu/
 
 override_dh_installdocs:
 	dh_installdocs -pqtcreator-data $(upstream_changes)
@@ -82,12 +70,3 @@
 override_dh_shlibdeps:
 	dh_shlibdeps -l$(CURDIR)/debian/qtcreator/usr/lib/$(DEB_HOST_MULTIARCH)/qtcreator:\
 	$(CURDIR)/debian/qtcreator/usr/lib/$(DEB_HOST_MULTIARCH)/qtcreator/plugins/QtProject
-
-override_dh_auto_test:
-ifneq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(testskip_architectures)))
-ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-	cp -r $(CURDIR)/builddir/lib/*/ $(CURDIR)/lib
-	#xvfb-run -a dh_auto_test -- -C tests/auto
-endif
-endif
-
