## qtcreator 4.3.1

=== debian/changelog ===
qtcreator (4.3.1-1ubuntu2) artful; urgency=medium

  * No change rebuild against Qt 5.9.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 22 Jul 2017 10:32:21 +0300

qtcreator (4.3.1-1ubuntu1) artful; urgency=medium

  * Sync with Debian unstable, drop most of Ubuntu changes.
  * Remaining change:
    - Keep transitional qtcreator-plugin-ubuntu package until 18.04 LTS.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 15 Jul 2017 14:42:33 +0300

qtcreator (4.3.1-1) unstable; urgency=medium

  * New upstream version (closes: #866846)
    + Fix wizards not to overwrite existing files
    + Fix memory leak in code completion
    + Fix crash when requesting refactoring on invalid C++ code
  * Remove qtscript5-private-dev as a BuildDepend
  * Bump QBS dependency to 1.8.1
  * remove_libexec.diff: refreshed
  * fix_documentation_path.diff: re-add. We are putting compiled
    documentation in compiled directory instead of human readable
    documentation directory
  * Install HTML version of the documentation for both QtCreator
    end user and the plugin developer.
  * Remove qtcreator.desktop in favour of upstream version
  * Use dh_missing instead of deprecated dh_install --fail-missing

 -- Adam Majer <adamm@zombino.com>  Tue, 11 Jul 2017 20:16:42 +0200

qtcreator (4.3.0-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Bump Standards-version to 4.0.0.
  * Refresh patches and remove fix_documentation_path.diff as it's no longer
    needed.
  * Add my name to Uploaders.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 01 Jun 2017 20:41:24 -0500
