=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: qtcreator
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Adam Majer <adamm@zombino.com>,
            Fathi Boudra <fabo@debian.org>,
            Jeremy Lainé <jeremy.laine@m4x.org>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
+           Simon Quigley <tsimonq2@ubuntu.com>
 Build-Depends: debhelper (>= 9),
                libbotan1.10-dev,
                libclang-3.9-dev [amd64],
@@ -17,19 +19,18 @@
                libqt5webkit5-dev (>= 5.6.0~),
                libqt5x11extras5-dev (>= 5.6.0~),
                pkg-config,
-               qbs-dev (>= 1.7.0~),
+               qbs-dev (>= 1.8.1~),
                qml-module-qtquick2 (>= 5.6.0~),
                qtbase5-dev (>= 5.6.0~),
                qtbase5-private-dev (>= 5.6.0~),
                qtdeclarative5-dev (>= 5.6.0~),
                qtdeclarative5-private-dev (>= 5.6.0~),
                qtscript5-dev (>= 5.6.0~),
-               qtscript5-private-dev (>= 5.6.0~),
                qttools5-dev (>= 5.6.0~),
                qttools5-dev-tools (>= 5.6.0~),
                qttools5-private-dev (>= 5.6.0~),
                qtxmlpatterns5-dev-tools (>= 5.6.0~)
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://doc.qt.io/qt-5/topics-app-development.html
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtcreator.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtcreator.git
@@ -86,3 +87,14 @@
 Suggests: qt5-doc
 Description: documentation for Qt Creator IDE
  This package contains documentation for Qt Creator IDE.
+
+Package: qtcreator-plugin-ubuntu
+Architecture: all
+Section: oldlibs
+Depends: qtcreator,
+         ${misc:Depends},
+Description: transitional dummy package for former Ubuntu SDK package
+ This is a transitional dummy package which can be safely removed.
+ .
+ Ubuntu SDK is now distributed separately for all supported Ubuntu versions.
+ Please see http://developer.ubuntu.com/ for more information.
