=== debian/rules ===
--- 
+++ 
@@ -60,8 +60,8 @@
 	# Not needed
 	rm debian/tmp/usr/bin/qtcreator.sh
 
-override_dh_install:
-	dh_install --fail-missing
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_installdocs:
 	dh_installdocs -pqtcreator-data $(upstream_changes)
