=== debian/changelog ===
qtcreator (4.5.2-3~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Use llvm 3.9 toolchain instead of 6.0.
  * Revert to debhelper compat 10.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 31 Mar 2018 11:35:40 -0700

qtcreator (4.5.2-3) unstable; urgency=medium

  * Update libclang dependency to 6.0 (closes: #893402)

 -- Adam Majer <adamm@zombino.com>  Sun, 18 Mar 2018 19:10:54 +0100

qtcreator (4.5.2-2) unstable; urgency=medium

  * Team upload.
  * Switch the kdelibs5-data suggest to kate-data, since the latter is where
    the kate syntax definitions are; unfortunately they are the kde4 versions,
    as the KF5 syntax-highlighting embeds its own as Qt resources.
  * Use https in the watch file.
  * Move desktop file, and appdata file from qtcreator-data to qtcreator, as
    they must be together with the executable they refer to
    - add proper breaks/replaces
  * Add the zlib1g-dev build dependency: apparently LLVM/Clang 3.9 exposes -lz
    as dependency for its libraries, and the -dev packages do not depend on it.
  * Remove the unused ${perl:Depends} substvar from qtcreator-data.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Mar 2018 10:23:36 +0100

qtcreator (4.5.2-1) unstable; urgency=medium

  [ Simon Quigley ]
  * New upstream release. (closes: #893207)
  * Bump debhelper compat to 11, no changes needed.
  * Bump Standards-version to 4.1.3, no changes needed.
  * Fix insecure-copyright-format-uri.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove botan patches. We can now use USE_SYSTEM_BOTAN as soon as botan2
    hits the archive. Thanks Christian Kandeler for the pointer!
  * Switch Vcs-[Git Browser] to salsa.debian.org.

  [ Alexander Volkov ]
  * Revert "Export LLVM_INSTALL_DIR without harcoding the version." since
    this method doesn't work with libclang-3.9-dev and llvm-3.9-dev
    build dependencies. (closes: #889984, #888895)

  [ Adam Majer ]
  * Enable USE_SYSTEM_BOTAN again. (botan2.wip.patch, botan2.debian.patch)
  * Update Qt minimum version dependency to 5.6.2

 -- Adam Majer <adamm@zombino.com>  Sat, 17 Mar 2018 20:12:32 +0100

qtcreator (4.5.0-3) unstable; urgency=medium

  * Switch back to using the embedded botan's code. Version 1.10 will get
    removed from the archive. QTCREATORBUG-19745 was filed against upstream
    to improve this situation (Closes: #889558).
    - Remove botan build dependency.
  * Refresh patches.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 06 Feb 2018 15:41:41 -0300

qtcreator (4.5.0-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS on armhf. (Closes: #886820)
    - Remove hack to build some files with -O1.
      Thanks to Adrian Bunk for testing.
  * Build-depend on qml-module-qtquick-controls to satisfy the check in
    src/plugins/plugins.pro.
    - Thanks to Dmitry Shachnev.
  * Build-depend libclang and llvm 3.9 instead of the metapackage.
    - qtcreator only works with version 3.9.

 -- Felix Geyer <fgeyer@debian.org>  Mon, 29 Jan 2018 22:54:46 +0100

qtcreator (4.5.0-1) unstable; urgency=medium

  [ Adam Majer ]
  * Enable clang code plugin on i386 (closes: #877814)

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release. (closes: #875863)
  * Bump QBS build dependency to >= 1.10, required by the source.

 -- Adam Majer <adamm@zombino.com>  Thu, 28 Dec 2017 00:41:30 +0100

qtcreator (4.3.1-2) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New revision
  * Update uploaders list as requested by MIA team (Closes: #879427)

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Switch to unversioned llvm-dev and libclang-dev, see if we can keep this
    dependencies this way (Closes: #873414).
    - Export LLVM_INSTALL_DIR without harcoding the version.
  * Switch to compat 10 which uses parallel building by default.
    - Depend on debhelper >= 10.
  * Update Standards-Version to 4.1.1, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 26 Nov 2017 16:36:46 -0300
