=== debian/rules ===
--- 
+++ 
@@ -15,13 +15,13 @@
 export QMAKE_LFLAGS_RELEASE := $(LDFLAGS)
 export QMAKE_LFLAGS_DEBUG := $(LDFLAGS)
 export QT_SELECT := qt5
-export LLVM_INSTALL_DIR := $(shell if [ -d /usr/lib/llvm-3.9 ]; then echo /usr/lib/llvm-3.9; fi)
+export LLVM_INSTALL_DIR := "/usr/lib/llvm-3.9"
 
 # Upstream changelog
 upstream_changes := $(wildcard dist/changes-*)
 
 %:
-	dh $@ --parallel --builddirectory=builddir
+	dh $@ --builddirectory=builddir
 
 override_dh_auto_configure:
 	mkdir -p builddir
@@ -36,16 +36,9 @@
 		QBS_INSTALL_DIR=/usr \
 		PREFIX=/usr/ \
 		LLVM_INSTALL_DIR="$(LLVM_INSTALL_DIR)" \
+		USE_SYSTEM_BOTAN=1 \
 		CONFIG+=disable_external_rpath \
-		$(CURDIR) IDE_LIBRARY_BASENAME=lib/$(DEB_HOST_MULTIARCH) IDE_PACKAGE_MODE=1 USE_SYSTEM_BOTAN=1 $(extra_configure_opts)
-
-ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), armhf))
-	# Hack over a g++ problem while using -O2 on armhf.
-	# If you don't like this horrible hack please feel free to help me try to
-	# reproduce it in a minimal test case so as to be able to properly fill a
-	# bug against g++.
-	sed -i 's/O2/O1/g' builddir/src/plugins/qmldesigner/Makefile.qmldesignerplugin
-endif
+		$(CURDIR) IDE_LIBRARY_BASENAME=lib/$(DEB_HOST_MULTIARCH) IDE_PACKAGE_MODE=1 $(extra_configure_opts)
 
 override_dh_auto_install:
 ifneq (,$(filter qtcreator-doc, $(shell dh_listpackages)))
