## qtcreator 4.6.2

=== debian/changelog ===
qtcreator (4.6.2-1build1) cosmic; urgency=medium

  * No-change rebuild against qtbase-abi-5-11-0.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 19 Jul 2018 00:18:08 -0500

qtcreator (4.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 15 Jun 2018 18:12:29 -0500

qtcreator (4.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Make qtcreator suggest valgrind (Closes: #881542).
  * Backport upstream patch to improve AppStrem metadata (Closes: 897901).
  * Refresh patches.
  * Create arch_support_refactor.patch backporting various commits that
    improve arch/OS support, adding for example the xtensa-esp32 arch.
  * Remove empty from_header_to_body.diff file.
  * Fix typo in debian/copyright.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 09 May 2018 14:28:47 -0300

qtcreator (4.6.0-3) unstable; urgency=medium

  * Fix clang model plugin build (Closes: 895677):
    - Build depend upon llvm-6.0-dev on all archs.
    - Once again pass LLVM_INSTALL_DIR to the config script. In Debian
      llvm-config is suffixed by the LLVM version, so the correct path
      is not detected without it.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 18 Apr 2018 15:08:16 -0300

qtcreator (4.6.0-2) unstable; urgency=medium

  * Qt Creator now has a better heuristic for detecting LLVM, so it's not
    needed to explicitely tell it where is it installed. Thanks James Cowgill
    for pointing me in the right direction.
    - Make libclang-6.0-dev a dependency on all archs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 10 Apr 2018 21:18:30 -0300

qtcreator (4.6.0-1) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Use Helmut Grohne's patch to simplify debian/rules and allow qtcreator to
    be crossbuilt (Closes: #893508).

  [ Simon Quigley ]
  * New upstream release.
  * Run wrap-and-sort.
  * Confirm the multi-arch hinter's pointers and make qtcreator-data and
    qtcreator-doc Multi-Arch: foreign.
  * Bump Standards-version to 4.1.4, no changes needed.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump qbs build dependency to 1.11, required by this release.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 10 Apr 2018 10:28:29 -0300
