=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: qtcreator
 Section: devel
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Adam Majer <adamm@zombino.com>,
            Jeremy Lainé <jeremy.laine@m4x.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Simon Quigley <tsimonq2@ubuntu.com>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                libbotan-2-dev,
-               libclang-3.9-dev [amd64 i386],
+               libclang-6.0-dev,
                libicu-dev,
                libjs-jquery,
                libqt5opengl5-dev (>= 5.6.2~),
                libqt5sql5-sqlite (>= 5.6.2~),
                libqt5webkit5-dev (>= 5.6.2~),
                libqt5x11extras5-dev (>= 5.6.2~),
-               llvm-3.9-dev [amd64 i386],
+               llvm-6.0-dev,
                pkg-config,
-               qbs-dev (>= 1.10~),
+               qbs-dev (>= 1.11~),
                qml-module-qtquick-controls (>= 5.6.2~),
                qml-module-qtquick2 (>= 5.6.2~),
                qtbase5-dev (>= 5.6.2~),
@@ -30,8 +29,8 @@
                qttools5-dev-tools (>= 5.6.2~),
                qttools5-private-dev (>= 5.6.2~),
                qtxmlpatterns5-dev-tools (>= 5.6.2~),
-               zlib1g-dev,
-Standards-Version: 4.1.3
+               zlib1g-dev
+Standards-Version: 4.1.4
 Homepage: https://doc.qt.io/qt-5/topics-app-development.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtcreator.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtcreator
@@ -59,7 +58,7 @@
             qttranslations5-l10n,
             qtxmlpatterns5-dev-tools,
             xterm | x-terminal-emulator
-Suggests: cmake, g++, git, kate-data, subversion
+Suggests: cmake, g++, git, kate-data, subversion, valgrind
 Breaks: qtcreator-data (<< 4.5.2-2~)
 Replaces: qtcreator-data (<< 4.5.2-2~)
 Description: integrated development environment (IDE) for Qt
@@ -79,12 +78,14 @@
 
 Package: qtcreator-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: application data for Qt Creator IDE
  This package contains architecture-independent data for Qt Creator IDE.
 
 Package: qtcreator-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Suggests: qt5-doc
